System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner System.Web.UI.Design.IDataSourceProvider To be added.

Extends design-time behavior for the control.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the name of a specific table or view in the data source object to bind the control to.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added.

  A data-binding expression that identifies the source of data for the associated control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When the disposing parameter is true, the Dispose method releases all the resources held by the managed objects that this object references.

  Releases the unmanaged resources used by the object and optionally releases the managed resources.

  true to release both the managed and unmanaged resources; false to release only the unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` To be added. To be added.

  Returns design-time sample data based on the method and using the specified number of rows.

  An object containing sample data for use at design time.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerable `` `` To be added. To be added. To be added.

  Returns design-time sample data based on the provided data and using the specified number of rows.

  An object containing sample data for use at design time.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added.

  Retrieves the HTML markup to be used for the design-time representation of the control.

  Design-time HTML markup.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added. To be added.

  Retrieves the HTML markup to represent a Web server control at design time that will have no visual representation at run time.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added. To be added.

  Retrieves the HTML markup that provides information about the specified exception.

  The exception that occurred. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable

  The method uses the method to construct a data source from the object that is specified by the and properties.

  Gets the selected data member from the selected data source.

  An that contains a collection of values used to supply design-time data. The default value is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object

  The method uses the method to construct a data source from the object that is specified by the property.

  Retrieves the selected data source component from the container of the associated control.

  The selected data source; null if a data source is not found or if a data source with the selected name does not exist.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Initializes the designer with the provided control.

  The associated control. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added.

  Called when the associated control changes.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Handles changes made to the data source

- Method
  System.Void `` To be added.

  Filters the properties to replace the runtime data source property descriptor with the designer's property descriptor.

  The properties for the class of the component. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the associated control has any templates defined.

  1.0.5000.0
  2.0.0.0